compiling 32-bit CEF on 64 bit ubuntu

Do not post support requests, bug reports or feature requests. Discuss CEF here. Non-CEF related discussion goes in General Discussion!

compiling 32-bit CEF on 64 bit ubuntu

Postby MeghanaPrashanth » Wed Jul 09, 2014 10:40 am

I am trying to compile 32-bit CEF on 64-bit ubuntu ( Ubuntu 12.04 precise)

I ran the https://chromium.googlesource.com/chromium/chromium/+/trunk/build/install-build-deps.sh with the --lib32 option. I have set GYP_DEFINES=target_arch=ia32.
On running the automate-git.py script to compile cef, the command
ninja -v -Cout/Debug cefclient chrome_sandbox
results in failure.
The build-trunk-debug.log shows the following error message. The same thing works fine on a Debian machine

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libgtkglext-x11-1.0.so when searching for -lgtkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libgtkglext-x11-1.0.a when searching for -lgtkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgtkglext-x11-1.0.so when searching for -lgtkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgtkglext-x11-1.0.a when searching for -lgtkglext-x11-1.0
/usr/bin/ld: cannot find -lgtkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libgdkglext-x11-1.0.so when searching for -lgdkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../libgdkglext-x11-1.0.a when searching for -lgdkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgdkglext-x11-1.0.so when searching for -lgdkglext-x11-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgdkglext-x11-1.0.a when searching for -lgdkglext-x11-1.0
/usr/bin/ld: cannot find -lgdkglext-x11-1.0

Has anyone successfully compiled 32-bit CEF on a 64 bit ubuntu?

Thanks in advance !
MeghanaPrashanth
Newbie
 
Posts: 5
Joined: Thu May 29, 2014 3:29 am

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby magreenblatt » Wed Jul 09, 2014 10:55 am

libgtkglext1-dev isn't installed by install-build-deps.sh, you need to install it separately.
magreenblatt
Site Admin
 
Posts: 10748
Joined: Fri May 29, 2009 6:57 pm

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby MeghanaPrashanth » Wed Jul 09, 2014 11:03 am

I have installed libgtkglext1-dev separately. I see the error even with libgtkglext1-dev package installed.
MeghanaPrashanth
Newbie
 
Posts: 5
Joined: Thu May 29, 2014 3:29 am

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby MeghanaPrashanth » Wed Jul 09, 2014 11:07 am

I also tried installing the 32-bit libgtkglext1-dev by running 'sudo apt-get install libgtkglext1-dev:i386'. Ubuntu does not let me install the 32-bit package and complains about unmet dependencies.
I tried forcefully installing all dependencies but this does not solve the problem.

I even tried creating a symlink to /usr/lib32 path from /usr/lib. This didn't help either
MeghanaPrashanth
Newbie
 
Posts: 5
Joined: Thu May 29, 2014 3:29 am

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby magreenblatt » Wed Jul 09, 2014 11:08 am

MeghanaPrashanth wrote:I have installed libgtkglext1-dev separately. I see the error even with libgtkglext1-dev package installed.

Did you install the 32-bit version?
magreenblatt
Site Admin
 
Posts: 10748
Joined: Fri May 29, 2009 6:57 pm

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby magreenblatt » Wed Jul 09, 2014 11:10 am

MeghanaPrashanth wrote:I also tried installing the 32-bit libgtkglext1-dev by running 'sudo apt-get install libgtkglext1-dev:i386'. Ubuntu does not let me install the 32-bit package and complains about unmet dependencies.
I tried forcefully installing all dependencies but this does not solve the problem.

I even tried creating a symlink to /usr/lib32 path from /usr/lib. This didn't help either

libgtkglext1-dev is only required for the cefclient sample application. If you don't need to build cefclient you can ignore it.
magreenblatt
Site Admin
 
Posts: 10748
Joined: Fri May 29, 2009 6:57 pm

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby MeghanaPrashanth » Wed Jul 09, 2014 11:31 pm

We need cefclient sample application. Is there any configuration change that has to be made to allow Ubuntu to install the 32-bit package ?
MeghanaPrashanth
Newbie
 
Posts: 5
Joined: Thu May 29, 2014 3:29 am

Re: compiling 32-bit CEF on 64 bit ubuntu

Postby Czarek » Thu Mar 16, 2017 6:11 am

Had the same issue with libgtkglext1-dev package couldn't be found on 32-bit chroot. Solved it by adding "universe" to /etc/apt/sources.list:
Code: Select all
deb http://ftp-stud.hs-esslingen.de/ubuntu trusty main universe
Maintainer of the CEF Python, PHP Desktop and CEF C API projects. Connect with me on LinkedIn.
User avatar
Czarek
Virtuoso
 
Posts: 1905
Joined: Sun Nov 06, 2011 2:12 am


Return to CEF Discussion

Who is online

Users browsing this forum: No registered users and 7 guests